@ECHO OFF
rem WINPKT.BAT
rem
rem USAGE:
rem Automatically invoked by accompanying
rem OEMSETUP.INF as a CALL from AUTOEXEC.BAT
rem following the NET START command, i.e.
rem after DIS_PKT.DOS has loaded. This allows
rem automatic detection of PKTDRV interrupt
rem vector by WINPKT, and, thus, allows
rem setting this vector via the standard
rem Windows for Workgroups 3.1x dialogue boxes
rem (Network Setup [Drivers...] [Setup...]).
rem 
rem May also be manually installed by non-WfWG
rem users: replace your WINPKT.COM line with
rem   CALL [[drive:][\path\]]WINPKT.BAT [[drive:][\path\]]
rem in AUTOEXEC.BAT after your packet driver load
rem line and prior to running Windows. The drive and
rem path parameters are optional; if the directories
rem containing WINPKT.BAT and WINPKT.COM are in your
rem PATH line you don't need them. If not, the drive
rem and path following WINPKT.BAT specify the location
rem of WINPKT.COM, and MUST end in a "\" (omit quotes),
rem for example: 
rem   CALL C:\TRUMPET\WINPKT.BAT C:\TRUMPET\
rem will work if both WINPKT.BAT and WINPKT.COM are
rem in the C:\TRUMPET directory.
rem
rem DESCRIPTION:
rem This batch file tries to load WINPKT with
rem successive PKTDRV interrupt vector values
rem until WINPKT returns with ERRORLEVEL 0
rem indicating that it found a loaded PKTDRV.
rem This is a brute force "kludge" and could be
rem accomplished much more graceful from within
rem WINPKT (as it is by PKTMUX).
rem
rem HISTORY:
rem 13 Jul 95 - by Douglas W. Jones
rem             (email jones@cbdb1.nimh.nih.gov)
rem             Modified to test all possible
rem             vectors from 0x60 (96.) to 0x7F (127.)
rem             for users not using OEMSETUP.INF.
rem             "Bad" vectors checked last.
rem
rem 22 Mar 94 - Original by Douglas W. Jones
rem             (email jones@cbdb1.nimh.nih.gov)
rem
rem
SET pktdrv_vec=0x60
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try63
GOTO loaded
:try63
SET pktdrv_vec=0x63
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try65
GOTO loaded
:try65
SET pktdrv_vec=0x65
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try66
GOTO loaded
:try66
SET pktdrv_vec=0x66
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try78
GOTO loaded
:try78
SET pktdrv_vec=0x78
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try79
GOTO loaded
:try79
SET pktdrv_vec=0x79
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7B
GOTO loaded
:try7B
SET pktdrv_vec=0x7B
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7C
GOTO loaded
:try7C
SET pktdrv_vec=0x7C
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7D
GOTO loaded
:try7D
SET pktdrv_vec=0x7D
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7E
GOTO loaded
:try7E
SET pktdrv_vec=0x7E
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7F
GOTO loaded
:try7F
SET pktdrv_vec=0x7F
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try61
GOTO loaded
:try61
SET pktdrv_vec=0x61
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try62
GOTO loaded
:try62
SET pktdrv_vec=0x62
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try64
GOTO loaded
:try64
SET pktdrv_vec=0x64
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try67
GOTO loaded
:try67
SET pktdrv_vec=0x67
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try68
GOTO loaded
:try68
SET pktdrv_vec=0x68
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try69
GOTO loaded
:try69
SET pktdrv_vec=0x69
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try6A
GOTO loaded
:try6A
SET pktdrv_vec=0x6A
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try6B
GOTO loaded
:try6B
SET pktdrv_vec=0x6B
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try6C
GOTO loaded
:try6C
SET pktdrv_vec=0x6C
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try6D
GOTO loaded
:try6D
SET pktdrv_vec=0x6D
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try6E
GOTO loaded
:try6E
SET pktdrv_vec=0x6E
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try6F
GOTO loaded
:try6F
SET pktdrv_vec=0x6F
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try70
GOTO loaded
:try70
SET pktdrv_vec=0x70
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try71
GOTO loaded
:try71
SET pktdrv_vec=0x71
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try72
GOTO loaded
:try72
SET pktdrv_vec=0x72
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try73
GOTO loaded
:try73
SET pktdrv_vec=0x73
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try74
GOTO loaded
:try74
SET pktdrv_vec=0x74
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try75
GOTO loaded
:try75
SET pktdrv_vec=0x75
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try76
GOTO loaded
:try76
SET pktdrv_vec=0x76
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try77
GOTO loaded
:try77
SET pktdrv_vec=0x77
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO try7A
GOTO loaded
:try7A
SET pktdrv_vec=0x7A
%1winpkt.com %pktdrv_vec% > NUL:
IF ERRORLEVEL 1 GOTO notloaded
GOTO loaded
:notloaded
ECHO ERROR: WINPKT not loaded; PKTDRV not found
GOTO exit
:loaded
ECHO WINPKT loaded; PKTDRV using interrupt %pktdrv_vec%
:exit
SET pktdrv_vec=

